public static interface BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder
extends org.apache.camel.builder.EndpointConsumerBuilder
| Modifier and Type | Method and Description |
|---|---|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
accessKey(String accessKey)
Access key for the associated azure account name to be used for
authentication with azure blob services.
|
default BlobEndpointBuilderFactory.AdvancedBlobEndpointConsumerBuilder |
advanced() |
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
autoDiscoverClient(boolean autoDiscoverClient)
Setting the autoDiscoverClient mechanism, if true, the component will
look for a client instance in the registry automatically otherwise it
will skip that checking.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
autoDiscoverClient(String autoDiscoverClient)
Setting the autoDiscoverClient mechanism, if true, the component will
look for a client instance in the registry automatically otherwise it
will skip that checking.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
blobName(String blobName)
The blob name, to consume specific blob from a container.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
blobOffset(long blobOffset)
Set the blob offset for the upload or download operations, default is
0.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
blobOffset(String blobOffset)
Set the blob offset for the upload or download operations, default is
0.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
blobServiceClient(Object blobServiceClient)
Client to a storage account.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
blobServiceClient(String blobServiceClient)
Client to a storage account.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
blobType(BlobEndpointBuilderFactory.BlobType blobType)
The blob type in order to initiate the appropriate settings for each
blob type.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
blobType(String blobType)
The blob type in order to initiate the appropriate settings for each
blob type.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
bridgeErrorHandler(boolean bridgeErrorHandler)
Allows for bridging the consumer to the Camel routing Error Handler,
which mean any exceptions occurred while the consumer is trying to
pickup incoming messages, or the likes, will now be processed as a
message and handled by the routing Error Handler.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
bridgeErrorHandler(String bridgeErrorHandler)
Allows for bridging the consumer to the Camel routing Error Handler,
which mean any exceptions occurred while the consumer is trying to
pickup incoming messages, or the likes, will now be processed as a
message and handled by the routing Error Handler.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
closeStreamAfterRead(boolean closeStreamAfterRead)
Close the stream after read or keep it open, default is true.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
closeStreamAfterRead(String closeStreamAfterRead)
Close the stream after read or keep it open, default is true.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
credentials(Object credentials)
StorageSharedKeyCredential can be injected to create the azure
client, this holds the important authentication information.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
credentials(String credentials)
StorageSharedKeyCredential can be injected to create the azure
client, this holds the important authentication information.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
dataCount(Long dataCount)
How many bytes to include in the range.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
dataCount(String dataCount)
How many bytes to include in the range.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
fileDir(String fileDir)
The file directory where the downloaded blobs will be saved to, this
can be used in both, producer and consumer.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
maxResultsPerPage(Integer maxResultsPerPage)
Specifies the maximum number of blobs to return, including all
BlobPrefix elements.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
maxResultsPerPage(String maxResultsPerPage)
Specifies the maximum number of blobs to return, including all
BlobPrefix elements.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
maxRetryRequests(int maxRetryRequests)
Specifies the maximum number of additional HTTP Get requests that
will be made while reading the data from a response body.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
maxRetryRequests(String maxRetryRequests)
Specifies the maximum number of additional HTTP Get requests that
will be made while reading the data from a response body.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
prefix(String prefix)
Filters the results to return only blobs whose names begin with the
specified prefix.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
regex(String regex)
Filters the results to return only blobs whose names match the
specified regular expression.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
serviceClient(Object serviceClient)
Client to a storage account.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
serviceClient(String serviceClient)
Client to a storage account.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
timeout(Duration timeout)
An optional timeout value beyond which a RuntimeException will be
raised.
|
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder |
timeout(String timeout)
An optional timeout value beyond which a RuntimeException will be
raised.
|
default BlobEndpointBuilderFactory.AdvancedBlobEndpointConsumerBuilder advanced()
default BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder autoDiscoverClient(boolean autoDiscoverClient)
autoDiscoverClient - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder autoDiscoverClient(String autoDiscoverClient)
autoDiscoverClient - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder blobName(String blobName)
blobName - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder blobOffset(long blobOffset)
blobOffset - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder blobOffset(String blobOffset)
blobOffset - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder blobServiceClient(Object blobServiceClient)
blobServiceClient - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder blobServiceClient(String blobServiceClient)
blobServiceClient - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder blobType(BlobEndpointBuilderFactory.BlobType blobType)
blobType - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder blobType(String blobType)
blobType - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder closeStreamAfterRead(boolean closeStreamAfterRead)
closeStreamAfterRead - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder closeStreamAfterRead(String closeStreamAfterRead)
closeStreamAfterRead - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder credentials(Object credentials)
credentials - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder credentials(String credentials)
credentials - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder dataCount(Long dataCount)
dataCount - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder dataCount(String dataCount)
dataCount - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder fileDir(String fileDir)
fileDir - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder maxResultsPerPage(Integer maxResultsPerPage)
maxResultsPerPage - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder maxResultsPerPage(String maxResultsPerPage)
maxResultsPerPage - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder maxRetryRequests(int maxRetryRequests)
maxRetryRequests - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder maxRetryRequests(String maxRetryRequests)
maxRetryRequests - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder prefix(String prefix)
prefix - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder regex(String regex)
regex - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder serviceClient(Object serviceClient)
serviceClient - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder serviceClient(String serviceClient)
serviceClient - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder timeout(Duration timeout)
timeout - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder timeout(String timeout)
timeout - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder bridgeErrorHandler(boolean bridgeErrorHandler)
bridgeErrorHandler - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder bridgeErrorHandler(String bridgeErrorHandler)
bridgeErrorHandler - the value to setdefault BlobEndpointBuilderFactory.BlobEndpointConsumerBuilder accessKey(String accessKey)
accessKey - the value to setApache Camel